package sun.font;

import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Point2D;

class NullFontScaler extends FontScaler
{
    NullFontScaler() {
    }
    
    public NullFontScaler(Font2D font2D, int n, boolean b, int n2) {
    }
    
    @Override
    StrikeMetrics getFontMetrics(long n) {
        return new StrikeMetrics(240.0f, 240.0f, 240.0f, 240.0f, 240.0f, 240.0f, 240.0f, 240.0f, 240.0f, 240.0f);
    }
    
    @Override
    float getGlyphAdvance(long n, int n2) {
        return 0.0f;
    }
    
    @Override
    void getGlyphMetrics(long n, int n2, Point2D.Float float1) {
        float1.x = 0.0f;
        float1.y = 0.0f;
    }
    
    @Override
    Rectangle2D.Float getGlyphOutlineBounds(long n, int n2) {
        return new Rectangle2D.Float(0.0f, 0.0f, 0.0f, 0.0f);
    }
    
    @Override
    GeneralPath getGlyphOutline(long n, int n2, float n3, float n4) {
        return new GeneralPath();
    }
    
    @Override
    GeneralPath getGlyphVectorOutline(long n, int[] array, int n2, float n3, float n4) {
        return new GeneralPath();
    }
    
    @Override
    long getLayoutTableCache() {
        return 0L;
    }
    
    @Override
    long createScalerContext(double[] array, int n, int n2, float n3, float n4, boolean b) {
        return getNullScalerContext();
    }
    
    @Override
    void invalidateScalerContext(long n) {
    }
    
    @Override
    int getNumGlyphs() throws FontScalerException {
        return 1;
    }
    
    @Override
    int getMissingGlyphCode() throws FontScalerException {
        return 0;
    }
    
    @Override
    int getGlyphCode(char c) throws FontScalerException {
        return 0;
    }
    
    @Override
    long getUnitsPerEm() {
        return 2048L;
    }
    
    @Override
    Point2D.Float getGlyphPoint(long n, int n2, int n3) {
        return null;
    }
    
    static native long getNullScalerContext();
    
    @Override
    native long getGlyphImage(long p0, int p1);
}
